#include "CS_PottedPlant_Flower.h"

CS_PottedPlant_Flower::CS_PottedPlant_Flower()
{
	ani.png = L"CS_CaveStoryMod";
	ani.sprite_index = L"ls_tank_red";
	drawBeforeOtherEntity = true;
}

void CS_PottedPlant_Flower::SetState(int stateID, int lr)
{
	if (el.arg.length() > 0)
	{
		if (el.arg == L"red")
			ani.sprite_index = L"ls_pottedplant_redflower";
		else if(el.arg == L"blue")
			ani.sprite_index = L"ls_pottedplant_blueflower";
		else if (el.arg == L"grass")
			ani.sprite_index = L"ls_pottedplant_grass";
		else if (el.arg == L"empty")
			ani.sprite_index = L"ls_pottedplant_empty";
	}
	else
		ani.sprite_index = L"ls_pottedplant_redflower";
}

std::shared_ptr<Entity> CreateCS_PottedPlant_Flower()
{
	return std::make_shared<CS_PottedPlant_Flower>();
}
